import { useDispatch } from './hooks/useDispatch';
import { useSelector } from './hooks/useSelector';
import { computed } from '@vue/composition-api';
export const connect = (mapStateToProps, mapDispatchToProps, mergeProps) => {
    const dispatch = useDispatch();
    const dispatchProps = mapDispatchToProps(dispatch);
    const stateProps = useSelector(state => mapStateToProps(state));
    const mergedProps = computed(() => (mergeProps ||
        ((stateProps, dispatchProps) => ({
            ...stateProps,
            ...dispatchProps,
        })))(stateProps.value, dispatchProps));
    return (component) => component(mergedProps.value);
};
